## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanInMemoryMessageLoader Class Reference

`#include <XalanInMemoryMessageLoader.hpp>`

Inheritance diagram for XalanInMemoryMessageLoader:

[legend]
Collaboration diagram for XalanInMemoryMessageLoader:

[legend]
List of all members.

## Public Methods

- XalanInMemoryMessageLoader (MemoryManagerType &theManager)
- virtual ~XalanInMemoryMessageLoader ()

## Protected Methods

- virtual bool loadMsg (XalanMessages::Codes msgToLoad, XalanDOMChar *toFill, unsigned int maxChars)

## Constructor & Destructor Documentation

XalanInMemoryMessageLoader::XalanInMemoryMessageLoader ( | MemoryManagerType & theManager )

XalanInMemoryMessageLoader::~XalanInMemoryMessageLoader ( | )`[virtual]`

## Member Function Documentation

bool XalanInMemoryMessageLoader::loadMsg ( | XalanMessages::Codes msgToLoad,
| XalanDOMChar * toFill,
| unsigned int maxChars )`[protected, virtual]`

The documentation for this class was generated from the following file:

- XalanInMemoryMessageLoader.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.